Bug 496192 - LCD filter patch for libXft (for clear-type like fonts)
LCD filter patch for libXft (for clear-type like fonts)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXft (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
http://packages.ubuntu.com/jaunty/sou...
:
Depends On: 496191
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 03:10 EDT by David Hlacik
Modified: 2014-06-18 05:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
LCD filter (24.36 KB, patch)
2009-04-17 03:10 EDT, David Hlacik
no flags Details | Diff

  None (edit)
Description David Hlacik 2009-04-17 03:10:07 EDT
Created attachment 339964 [details]
LCD filter

Hello guys,

This discussion is about font rendering in Fedora. As we all know, there are
patches for subpixel hinting and bytecode interpreter included in freetype
package to achieve better fonts performance. However this patches are just
included and not enabled by default, because of fedora policy (patent problems
etc.). This is absolutely all right.

The patches for freetype were originally created by David Turner, author of
freetype. However to fully achieve nice font rendering we also need to patch
cairo and libXft.

What I am writing about is how fonts are rendered in Ubuntu. Who tried Ubuntu,
knows that fonts are rendered way to much better than in our Fedora.
This is partially because of patches for subpixel hinting and bytecode
interpreter , which we have in Fedora (and are enabled via freetype-freeworld
in RPMfusion package). However additional patches should be present in cairo
and libXft (which are in Ubuntu) to improve font performance on LCD displays.
Those were created by author of freetpye David Turner as well, and to achieve
needed "clear-type" feeling, they are required.

My point here is, that we have subpixel & bytecode interpreter patches in
freetype, but do not have lcd filter patches in cairo and libXft.

I have created an request to add my freetype,cairo,libXft libraries to
RPMfusion, but after discussion with freetype-freeworld author we really
believe that these patches for cairo and libXft can be added to Fedora.

(--taken from discussion on rpmfusion--)
* in libXft, the relevant patch is libXft-2.1.10-lcd-filter-3.patch. Again,
this replaces hardcoded filtering by using the freetype LCD filter and actually
REMOVES potentially infringing code. This should also go upstream and into
Fedora.

* Please get those 2 patches (1 per package) accepted by upstream
and by the Fedora maintainers, pointing out they actually REMOVE potentially
patented code and leave it up to freetype whether to provide it or not (and
Fedora's freetype doesn't).

Screens of Fedora without patches :
http://power.polarion.com/_screen/default1.png
http://power.polarion.com/_screen/default2.png
http://power.polarion.com/_screen/default3.png

Screens of Fedora with patches :
http://power.polarion.com/_screen/lcd1.png
http://power.polarion.com/_screen/lcd1.png
http://power.polarion.com/_screen/lcd1.png

--Summary--
please include libXft-2.1.10-lcd-filter-3.patch (attached) in libXft
Comment 1 David Hlacik 2009-04-17 03:11:33 EDT
Related discussion on RPMfusion Bugzilla :
https://bugzilla.rpmfusion.org/show_bug.cgi?id=547
Comment 2 David Hlacik 2009-04-17 03:19:58 EDT
The patch was extracted from Ubuntu's Jaunty source package for xft
http://archive.ubuntu.com/ubuntu/pool/main/x/xft/xft_2.1.13-3ubuntu1.diff.gz
Comment 4 Bug Zapper 2009-06-09 09:59:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 09:43:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-07-30 06:38:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jerry Amundson 2010-09-01 23:58:23 EDT
My assumption is that the Assigned To here is either,
1. Deceased, or
2. Not interested.
Comment 8 Jerry Amundson 2010-09-02 13:36:38 EDT
Or,
3. Assigned To is busy, and has other priorities!

My apologies for the earlier remark - I have bugs with no activity for months and assumed otherwise. But I see updates by sandmann@redhat.com as recently as 2010-08-24 09:11:27 EDT.

I'll try to help by marking duplicates. Sorry for the noise.
Comment 9 Fedora End Of Life 2012-08-16 16:30:18 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.